/**
 * @author ebo
 * @date 30/12/2022
 * @version 1.0.0
 * @project SIEau
 * @table inst_obst
 */

# --- !Ups
drop table if exists stations_hydro_maree;
DROP index if EXISTS pk_stations_hydro_maree;

create table stations_hydro_maree (
    codestation bigint,
    dateMaree timestamp without time zone,
    heure_pm_matin timestamp without time zone,
    hauteur_pm_matin real,
    heure_bm_matin timestamp without time zone,
    hauteur_bm_matin real,
    heure_pm_soir timestamp without time zone,
    hauteur_pm_soir real,
    heure_bm_soir timestamp without time zone,
    hauteur_bm_soir real,
    coefficient_matin integer,
    coefficient_soir integer
);

create unique index pk_stations_hydro_maree on stations_hydro_maree (codestation, dateMaree);
# --- !Downs