/**
 * @author dbuisine
 * @date 25/11/2024
 * @version 1.0.0
 * @project sieau
 * @table analyses_controles
 */

# --- !Ups

insert into analyses_controles select distinct 'ERR.1399/1398', 'Le résultat du chlore total [1399] est inférieur au résultat du chlore libre [1398]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1399/1398');
insert into analyses_controles select distinct 'ERR.1399/6279', 'Le résultat du chlore total [1399] est inférieur au résultat du chlore libre actif [6279]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1399/6279');
insert into analyses_controles select distinct 'ERR.1378/6356', 'Le résultat du brome [1378] est inférieur au résultat du brome libre [6356]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1378/6356');
insert into analyses_controles select distinct 'ERR.1313/1314', 'Le résultat de la DCO [1313] est inférieur au résultat de la DBO5 [1314]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1313/1314');
insert into analyses_controles select distinct 'ERR.1393/1366', 'Le résultat du fer [1393] est inférieur au résultat du fer ferreux [1366]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1393/1366');
insert into analyses_controles select distinct 'ERR.1393/1365', 'Le résultat du fer[1393] est inférieur au résultat du fer ferrique [1365]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1393/1365');
insert into analyses_controles select distinct 'ERR.1393/6017', 'Le résultat du fer [1393] est inférieur au résultat du fer assimilable [6017]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1393/6017');
insert into analyses_controles select distinct 'ERR.1447/1449', 'Le résultat des coliformes [1447] est inférieur au résultat des coliformes E. Coli [1449]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1447/1449');
insert into analyses_controles select distinct 'ERR.1447/1448', 'Le résultat des coliformes [1447] est inférieur au résultat des coliformes thermotolérants [1448]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1447/1448');
insert into analyses_controles select distinct 'ERR.1370/6622', 'Le résultat de l''aluminium [1370] est inférieur au résultat de l''ion aluminium [6622]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1370/6622');
insert into analyses_controles select distinct 'ERR.1370/8945', 'Le résultat de l''aluminium [1370] est inférieur au résultat de l''aluminium échangeable [8945]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1370/8945');
insert into analyses_controles select distinct 'ERR.1367/2832', 'Le résultat du potassium [1367] est inférieur au résultat du potassium échangeable [2832]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1367/2832');
insert into analyses_controles select distinct 'ERR.1389/1371', 'Le résultat du chrome [1389] est inférieur au résultat du chrome VI [1371]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1389/1371');
insert into analyses_controles select distinct 'ERR.1389/5871', 'Le résultat du chrome [1389] est inférieur au résultat du chrome III [5871]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1389/5871');
insert into analyses_controles select distinct 'ERR.1392/5520', 'Le résultat du cuivre [1392] est inférieur au résultat du cuivre II[5520]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1392/5520');
insert into analyses_controles select distinct 'ERR.1392/5521', 'Le résultat du cuivre [1392] est inférieur au résultat du cuivre I [5521]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1392/5521');
insert into analyses_controles select distinct 'ERR.1375/6013', 'Le résultat du sodium [1375] est inférieur au résultat du sodium échangeable [6013]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1375/6013');
insert into analyses_controles select distinct 'ERR.1394/6623', 'Le résultat du manganèse [1394] est inférieur au résultat du manganèse II[6623]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1394/6623');
insert into analyses_controles select distinct 'ERR.1394/7932', 'Le résultat du manganèse [1394] est inférieur au résultat du manganèse échangeable [7932]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1394/7932');
insert into analyses_controles select distinct 'ERR.1819/7567', 'Le résultat du soufre [1819] est inférieur au résultat du soufre échangeable [7567]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1819/7567');
insert into analyses_controles select distinct 'ERR.1345/1374', 'Le résultat de la dureté [1345] est inférieur au résultat du calcium [1374]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1345/1374');
insert into analyses_controles select distinct 'ERR.1345/1372', 'Le résultat de la dureté [1345] est inférieur au résultat du magnésium [1372]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1345/1372');
insert into analyses_controles select distinct 'ERR.SUM.1345', 'La dureté théorique [1345] ne correspond pas à la somme des paramètres Calcium [1374] et Magnésium [1372]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.SUM.1345');
insert into analyses_controles select distinct 'ERR.1347/1346', 'Le résultat du TAC [1347] est inférieur au résultat du TA [1346]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1347/1346');
insert into analyses_controles select distinct 'ERR.1347/1327', 'Le résultat du TAC [1347] est inférieur au résultat des hydrogénocarbonates [1327]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1347/1327');
insert into analyses_controles select distinct 'ERR.1347/1328', 'Le résultat du TAC [1347] est inférieur au résultat des carbonates [1328]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1347/1328');
insert into analyses_controles select distinct 'ERR.1347/1344', 'Le résultat du TAC [1347] est inférieur au résultat de l''anhydride carbonique [1344]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1347/1344');
insert into analyses_controles select distinct 'ERR.SUM.1347', 'Le TAC [1347] ne correspond pas à la somme des paramètres Hydrogénocarbonates [1327], Carbonates [1328] et Anhydride carbonique [1344]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.SUM.1347');
insert into analyses_controles select distinct 'ERR.1350/1433', 'Le résultat du phosphore total [1350] est inférieur au résultat des orthophosphates [1433]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1350/1433');
insert into analyses_controles select distinct 'ERR.1350/1349', 'Le résultat du phosphore total [1350] est inférieur au résultat des polyphosphates [1349]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1350/1349');
insert into analyses_controles select distinct 'ERR.1551/1340', 'Le résultat de l''azote global [1551] est inférieur au résultat des nitrates [1340]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1551/1340');
insert into analyses_controles select distinct 'ERR.1551/1339', 'Le résultat de l''azote global [1551] est inférieur au résultat des nitrites [1339]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1551/1339');
insert into analyses_controles select distinct 'ERR.1551/1335', 'Le résultat de l''azote global [1551] est inférieur au résultat des ammonium [1335]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1551/1335');
insert into analyses_controles select distinct 'ERR.1551/1319', 'Le résultat de l''azote global [1551] est inférieur au résultat du NTK [1319]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1551/1319');
insert into analyses_controles select distinct 'ERR.SUM.1551', 'L''azote global [1551] ne correspond pas à la somme des paramètres NTK [1319], Nitrates [1340] et Nitrites [1339]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.SUM.1551');
insert into analyses_controles select distinct 'ERR.6374/1340', 'Le résultat de la somme NO3/50 et NO2/3 [6374] est inférieur au résultat des nitrates [1340]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.6374/1340');
insert into analyses_controles select distinct 'ERR.6374/1339', 'Le résultat de la somme NO3/50 et NO2/3 [6374] est inférieur au résultat des nitrites [1339]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.6374/1339');
insert into analyses_controles select distinct 'ERR.SUM.6347', 'La somme NO3/50 et NO2/3 [6374] ne correspond pas à la somme des paramètres Nitrates [1340] divisé par 50 et Nitrites [1339] divisé par 3', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.SUM.6347');
insert into analyses_controles select distinct 'ERR.5932/1340', 'Le résultat de l''azote organique [5932] est inférieur au résultat des nitrates[1340]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.5932/1340');
insert into analyses_controles select distinct 'ERR.5932/1339', 'Le résultat de l''azote organique [5932] est inférieur au résultat des nitrites [1339]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.5932/1339');
insert into analyses_controles select distinct 'ERR.5932/1335', 'Le résultat de l''azote organique [5932] est inférieur au résultat des ammonium [1335]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.5932/1335');
insert into analyses_controles select distinct 'ERR.5932/1319', 'Le résultat de l''azote organique [5932] est inférieur au résultat du NTK [1319]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.5932/1319');
insert into analyses_controles select distinct 'ERR.SUM.5932', 'L''azote organique [5932] ne correspond pas à la différence des paramètres NTK [1319] et Ammonium [1335]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.SUM.5932');
insert into analyses_controles select distinct 'ERR.2033/1116', 'Le résultat de la somme HAP 4 [2033] est inférieur au résultat du benzo(b)fluoranthene [1116]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.2033/1116');
insert into analyses_controles select distinct 'ERR.2033/1117', 'Le résultat de la somme HAP 4 [2033] est inférieur au résultat du benzo(k)fluoranthene [1117]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.2033/1117');
insert into analyses_controles select distinct 'ERR.2033/1118', 'Le résultat de la somme HAP 4 [2033] est inférieur au résultat du benzo(ghi)perylene [1118]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.2033/1118');
insert into analyses_controles select distinct 'ERR.2033/1204', 'Le résultat de la somme HAP 4 [2033] est inférieur au résultat du indeno(123cd)pyrene [1204]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.2033/1204');
insert into analyses_controles select distinct 'ERR.SUM.2033', 'La somme HAP 4 [2033] ne correspond pas à la somme des paramètres Benzo(b)fluoranthene [1116], Benzo(k)fluoranthene [1117], Benzo(ghi)perylene [1118] et Indeno(123cd)pyrene [1204]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.SUM.2033');
insert into analyses_controles select distinct 'ERR.2034/1116', 'Le résultat de la somme HAP 6 [2034] est inférieur au résultat du benzo(b)fluoranthene [1116]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.2034/1116');
insert into analyses_controles select distinct 'ERR.2034/1117', 'Le résultat de la somme HAP 6 [2034] est inférieur au résultat du benzo(k)fluoranthene [1117]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.2034/1117');
insert into analyses_controles select distinct 'ERR.2034/1118', 'Le résultat de la somme HAP 6 [2034] est inférieur au résultat du benzo(ghi)perylene [1118]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.2034/1118');
insert into analyses_controles select distinct 'ERR.2034/1204', 'Le résultat de la somme HAP 6 [2034] est inférieur au résultat du indeno(123cd)pyrene [1204]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.2034/1204');
insert into analyses_controles select distinct 'ERR.2034/1191', 'Le résultat de la somme HAP 6 [2034] est inférieur au résultat du fluoranthene [1191]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.2034/1191');
insert into analyses_controles select distinct 'ERR.2034/1115', 'Le résultat de la somme HAP 6 [2034] est inférieur au résultat du benzo(a)pyrene [1115]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.2034/1115');
insert into analyses_controles select distinct 'ERR.SUM.2034', 'La somme HAP 6 [2034] ne correspond pas à la somme des paramètres Benzo(b)fluoranthene [1116], Benzo(k)fluoranthene [1117], Benzo(ghi)perylene [1118], Indeno(123cd)pyrene [1204], Fluoranthene [1191] et Benzo(a)pyrene [1115]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.SUM.2034');
insert into analyses_controles select distinct 'ERR.2036/1135', 'Le résultat de la somme THM 4 [2036] est inférieur au résultat du chloroforme [1135]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.2036/1135');
insert into analyses_controles select distinct 'ERR.2036/1122', 'Le résultat de la somme THM 4 [2036] est inférieur au résultat du bromoforme [1122]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.2036/1122');
insert into analyses_controles select distinct 'ERR.2036/1158', 'Le résultat de la somme THM 4 [2036] est inférieur au résultat du dibromochloromethane [1158]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.2036/1158');
insert into analyses_controles select distinct 'ERR.2036/1167', 'Le résultat de la somme THM 4 [2036] est inférieur au résultat du dichloromonobromométhane [1167]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.2036/1167');
insert into analyses_controles select distinct 'ERR.SUM.2036', 'La somme des THM 4 [2036] ne correspond pas à la somme des paramètres Chloroforme [1135], Bromoforme [1122], Dibromochloromethane [1158] et Dichloromonobromométhane [1167]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.SUM.2036');
insert into analyses_controles select distinct 'ERR.7330/7074', 'Le résultat de la somme des 4 organostanniques [7330] est inférieur au résultat du dibutylétain [7074]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.7330/7074');
insert into analyses_controles select distinct 'ERR.7330/2542', 'Le résultat de la somme des 4 organostanniques [7330] est inférieur au résultat du monobutylétain [2542]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.7330/2542');
insert into analyses_controles select distinct 'ERR.7330/6372', 'Le résultat de la somme des 4 organostanniques [7330] est inférieur au résultat du triphénylétain [6372]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.7330/6372');
insert into analyses_controles select distinct 'ERR.7330/2879', 'Le résultat de la somme des 4 organostanniques [7330] est inférieur au résultat du tributylétain [2879]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.7330/2879');
insert into analyses_controles select distinct 'ERR.SUM.7330', 'La somme des 4 organostanniques [7330] ne correspond pas à la somme des paramètres Dibutylétain [7074], Monobutylétain [2542], Triphénylétain [6372] et Tributylétain [2879]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.SUM.7330');
insert into analyses_controles select distinct 'ERR.1221/2974', 'Le résultat du métolachlore total [1221] est inférieur au résultat du S-Métolachlore [2974]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1221/2974');
insert into analyses_controles select distinct 'ERR.1221/8070', 'Le résultat du métolachlore total [1221] est inférieur au résultat du métolachlore énan. S [8070]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1221/8070');
insert into analyses_controles select distinct 'ERR.1221/8071', 'Le résultat du métolachlore total [1221] est inférieur au résultat du métolachlore énan. R [8071]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1221/8071');
insert into analyses_controles select distinct 'ERR.SUM.1221', 'Le Métolachlore total [1221] ne correspond pas à la somme des paramètres Metolachlore énantiomère S [8070] et Metolachlore énantiomère R [8071]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.SUM.1221');
insert into analyses_controles select distinct 'ERR.5534/1103', 'Le résultat de la somme des pesticides x-drine [5534] est inférieur au résultat de l''aldrine [1103]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.5534/1103');
insert into analyses_controles select distinct 'ERR.5534/1173', 'Le résultat de la somme des pesticides x-drine [5534] est inférieur au résultat du dieldrine [1173]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.5534/1173');
insert into analyses_controles select distinct 'ERR.5534/1181', 'Le résultat de la somme des pesticides x-drine [5534] est inférieur au résultat du endrine [1181]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.5534/1181');
insert into analyses_controles select distinct 'ERR.5534/1207', 'Le résultat de la somme des pesticides x-drine [5534] est inférieur au résultat du isodrine [1207]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.5534/1207');
insert into analyses_controles select distinct 'ERR.SUM.5534', 'La somme des pesticides x-drine [5534] ne correspond pas à la somme des paramètres Aldrine [1103], Dieldrine [1173], Endrine [1181] et Isodrine [1207]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.SUM.5534');
insert into analyses_controles select distinct 'ERR.1198/1748', 'Le résultat de l''heptachlore [1198] est inférieur au résultat de l''heptachlore cis [1748]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1198/1748');
insert into analyses_controles select distinct 'ERR.1198/1749', 'Le résultat de l''heptachlore [1198] est inférieur au résultat de l''heptachlore trans [1749]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.1198/1749');
insert into analyses_controles select distinct 'ERR.SUM.1198', 'L''Heptachlore [1221] ne correspond pas à la somme des paramètres Heptachlore Cis [1748] et Heptachlore Trans [1749]', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.SUM.1198');
insert into analyses_controles select distinct 'ERR.CALC.6148', 'Les ions hydroxydes [6148] diffèrent de la valeur théorique', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.CALC.6148');
insert into analyses_controles select distinct 'ERR.CALC.1302', 'Le pH [1302] diffère de la valeur théorique (la valeur doit être comprise entre 0 et 14)', '1', 'PC', 1 where not exists (select code from analyses_controles where code = 'ERR.CALC.1302');

# --- !Downs
